%bcond_without check

Name:           cargo2rpm
Version:        0.1.17
Release:        %mkrel 1
Summary:        Translation layer between cargo and RPM
Group:          System/Packaging
License:        MIT

URL:            https://pagure.io/fedora-rust/cargo2rpm
Source:         %{url}/archive/%{version}/cargo2rpm-%{version}.tar.gz
Patch0:         cargo2rpm-no-rich-deps.patch

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

Requires:       cargo

%description
cargo2rpm implements a translation layer between cargo and RPM. It
provides a CLI interface (for implementing RPM macros and generators)
and a Python API (which rust2rpm is built upon).

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cargo2rpm

%check
%pyproject_check_import
%if %{with check}
%pytest
%endif

%files -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md
%{_bindir}/cargo2rpm


%changelog
* Wed Oct 09 2024 wally <wally> 0.1.17-1.mga10
+ Revision: 2104484
- new version 0.1.17

* Sun Aug 25 2024 neoclust <neoclust> 0.1.16-1.mga10
+ Revision: 2091283
- New version 0.1.16

* Sun Jan 07 2024 wally <wally> 0.1.15-1.mga10
+ Revision: 2028578
- new version 0.1.15
- rediff rich deps patch

* Thu Dec 07 2023 wally <wally> 0.1.3-2.mga10
+ Revision: 2015170
- rebuild for py3.12

* Fri Apr 21 2023 kekepower <kekepower> 0.1.3-1.mga9
+ Revision: 1953764
- Update to version 0.1.3

* Mon Feb 27 2023 kekepower <kekepower> 0.1.2-1.mga9
+ Revision: 1945613
- Add BR for pyproject-rpm-macros
+ guillomovitch <guillomovitch>
- imported package cargo2rpm

